Table of Contents

Class: WidgetMixin | Twisted-0.19.0/twisted/web/widgets.py
--- | ---
### A mix-in wrapper for a Widget. This mixin can be used to wrap functionality in any other widget with a method of your choosing. It is designed to be used for mix-in classes that can be mixed in to Form, StreamWidget, Presentation, etc, to augment the data available to the `display` methods of those classes, usually by adding it to a Session.
Base Classes |
--- | ---
Widget
Methods |
--- | ---
display displayMixedWidget
| display
    display ( self )
Exceptions |
--- | ---
NotImplementedError( "%s.display" % self.__class__ )
| displayMixedWidget
    displayMixedWidget ( self,  request )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0